Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
aes.cpp File Reference
`#include <botan/aes.h>`
`#include <botan/loadstor.h>`
`#include <botan/cpuid.h>`
`#include <botan/rotate.h>`
`#include <type_traits>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | AES_T(T, K, V0, V1, V2, V3)

## Macro Definition Documentation

#define AES_T | ( |  | T,
|  |  | K,
|  |  | V0,
|  |  | V1,
|  |  | V2,
|  |  | V3
| ) |  |

Value:
(K ^ T[get_byte(0, V0)] ^ \
rotr< 8>(T[get_byte(1, V1)]) ^ \
rotr<16>(T[get_byte(2, V2)]) ^ \
rotr<24>(T[get_byte(3, V3)]))
Botan::get_byte
constexpr uint8_t get_byte(size_t byte_num, T input)
Definition: loadstor.h:41
T
fe T
Definition: ge.cpp:37

Definition at line 175 of file aes.cpp.